#!/bin/bash

set -eu -o pipefail

run_alerta_mailer() {
  set -eu

  alerta-mailer &

  echo "-----> alerta-mailer is running..."
}

run_ps_background_check() {
  set -eu

  ps -aux | grep -i mailer

  echo "-----> ps grep output ^^^"
}

# Main entrypoint
main() {
  set -eu

  run_alerta_mailer
  run_ps_background_check
}

main


usr/local/bin/docker-entrypoint.sh "$@"
